Debian Bug report logs - #315641
slsc: please build against libslang2

Package: slsc; Maintainer for slsc is (unknown);

Reported by: mckinstry@debian.org

Date: Fri, 24 Jun 2005 09:33:05 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jim Mintha <jmintha@debian.org>:
Bug#315641; Package slsc. Full text and rfc822 format available.

Acknowledgement sent to mckinstry@debian.org:
New Bug report received and forwarded. Copy sent to Jim Mintha <jmintha@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: submit@bugs.debian.org
Subject: slsc: please build against libslang2
Date: Fri, 24 Jun 2005 10:29:42 +0100
Package: slsc
Severity: normal

Hi,

libslang2 (2.0.3) is now in the Debian archive. I am working to
transition all packages from slang1 to slang2, as slang is a required
package in Debian and it is undesirable to require both versions be
present on all Debian/Etch systems. (See
http://wiki.debian.net/?action=edit&page_name=EtchSlang2upgrade for ths
current status)

It would be appreciated if you could port slsc to slang2 quickly.

Regards
Alastair McKinstry




Information forwarded to debian-bugs-dist@lists.debian.org, Jim Mintha <jmintha@debian.org>:
Bug#315641; Package slsc. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Jim Mintha <jmintha@debian.org>. Full text and rfc822 format available.

Message #10 received at 315641@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 315641@bugs.debian.org
Subject: status of slang 2 upgrade?
Date: Thu, 5 Jan 2006 02:15:23 -0500
Hello!  Any luck with this?  There's only 10 source packages left using slang 
1 (apart from slang 1 itself) and this is one of them.

-- 
Nathanael Nerode  <neroden@twcny.rr.com>

"It's just a goddamned piece of paper."
-- President Bush, referring to the US Constitution
http://www.capitolhillblue.com/artman/publish/article_7779.shtml



Information forwarded to debian-bugs-dist@lists.debian.org, Jim Mintha <jmintha@debian.org>:
Bug#315641; Package slsc. Full text and rfc822 format available.

Acknowledgement sent to Jim Mintha <j.t.mintha@uva.nl>:
Extra info received and forwarded to list. Copy sent to Jim Mintha <jmintha@debian.org>. Full text and rfc822 format available.

Message #15 received at 315641@bugs.debian.org (full text, mbox):

From: Jim Mintha <j.t.mintha@uva.nl>
To: Nathanael Nerode <neroden@twcny.rr.com>, 315641@bugs.debian.org
Subject: Re: Bug#315641: status of slang 2 upgrade?
Date: Fri, 6 Jan 2006 15:56:53 +0100
On Thu, Jan 05, 2006 at 02:15:23AM -0500, Nathanael Nerode wrote:
> Hello!  Any luck with this?  There's only 10 source packages left using slang 
> 1 (apart from slang 1 itself) and this is one of them.

I hoped to be able to tell you that I had it working, but after a
number of hours working on porting it, I came to the conclusion that
is it not possible.  One part of sc using the internals of slang
extensively, unfortunately these internals don't exist in slang2. (I
think this happened because the author of sc is the author of slang,
so he used the internal stuff)  To make it work I would have to
rewrite that entire section of the code, a bigger task than is
practical.  

I'm still debating what the best option is for the future.  There
appears to be a number of people that use the package, on the other
hand there are lots of alternative spreadsheets.

Jim

-- 
Jim Mintha                                       Email: j.t.mintha@uva.nl
System Administrator                              Work: +31 20 525-4919
Informatiseringscentrum                      	  Home: +31 20 662-3892
University of Amsterdam               Debian GNU/Linux: jmintha@debian.org
_There are always Possibilities_                  http://www.mintha.com



Information forwarded to debian-bugs-dist@lists.debian.org, Jim Mintha <jmintha@debian.org>:
Bug#315641; Package slsc. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Jim Mintha <jmintha@debian.org>. Full text and rfc822 format available.

Message #20 received at 315641@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 315641@bugs.debian.org
Subject: Slang 1 removal vs. slsc
Date: Fri, 23 Jun 2006 06:11:03 -0400
OK.  Slsc is now one of *two* packages in unstable or testing using
slang1.  The other one is jed, which is already using slang2 in
experimental, and will hopefully have that version in unstable soonish.

I guess you can keep maintaining slsc as long as you like -- you're
already the maintainer of the slang1 package.  Or drop it whenever
you like; but you probably want to drop slang1 whenever you drop
slsc, which is why I sent this message.  :-)





Information forwarded to debian-bugs-dist@lists.debian.org, Jim Mintha <jmintha@debian.org>:
Bug#315641; Package slsc. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Jim Mintha <jmintha@debian.org>. Full text and rfc822 format available.

Message #25 received at 315641@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 315641@bugs.debian.org
Subject: Status update on slang1
Date: Sat, 22 Jul 2006 17:09:54 -0400
OK.  slsc is now the ONLY package in unstable or testing depending on slang1.
That's right, the only one!

As the maintainer of 'slang', the slang1 source package, I guess you can keep slsc
in the archive as long as you like.  However, since it's unmaintained upstream, it
might not be such a great idea.  If you remove it, you can also remove slang1.

Popcon stats show 43 installations, 13 votes, 29 'old' installations, 1 'recent'
installation.  If I were you, I wouldn't keep it unless you use it yourself.  I'd
offer it up for adoption (along with slang1) first, but I doubt anyone wants it.

-- 
Nathanael Nerode  <neroden@fastmail.fm>

A thousand reasons. http://www.thousandreasons.org/
Lies, theft, war, kidnapping, torture, rape, murder...
Get me out of this fascist nightmare!



Information forwarded to debian-bugs-dist@lists.debian.org, Jim Mintha <jmintha@debian.org>:
Bug#315641; Package slsc. Full text and rfc822 format available.

Acknowledgement sent to Jim Mintha <j.t.mintha@uva.nl>:
Extra info received and forwarded to list. Copy sent to Jim Mintha <jmintha@debian.org>. Full text and rfc822 format available.

Message #30 received at 315641@bugs.debian.org (full text, mbox):

From: Jim Mintha <j.t.mintha@uva.nl>
To: Nathanael Nerode <neroden@fastmail.fm>, 315641@bugs.debian.org
Subject: Re: Bug#315641: Status update on slang1
Date: Sun, 23 Jul 2006 05:28:43 +0200
On Sat, Jul 22, 2006 at 05:09:54PM -0400, Nathanael Nerode wrote:
> OK.  slsc is now the ONLY package in unstable or testing depending on slang1.
> That's right, the only one!
> 
> As the maintainer of 'slang', the slang1 source package, I guess you can keep slsc
> in the archive as long as you like.  However, since it's unmaintained upstream, it
> might not be such a great idea.  If you remove it, you can also remove slang1.
> 
> Popcon stats show 43 installations, 13 votes, 29 'old' installations, 1 'recent'
> installation.  If I were you, I wouldn't keep it unless you use it yourself.  I'd
> offer it up for adoption (along with slang1) first, but I doubt anyone wants it.

OK, I think you have convinced me.  It's true that there are probably
very few people that use it, and I don't use it anymore either.  

Thanks for looking into it.

Jim

-- 
Jim Mintha                                       Email: j.t.mintha@uva.nl
System Administrator                               Cel: +1 778 239-5928
Informatiseringscentrum                      	  Home: +1 604 730-4648
University of Amsterdam               Debian GNU/Linux: jmintha@debian.org
_There are always Possibilities_                  http://www.mintha.com



Severity set to `serious' from `normal' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to mckinstry@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 315641-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 315641-close@bugs.debian.org
Cc: slsc@packages.debian.org, slsc@packages.qa.debian.org
Subject: Bug#315641: fixed
Date: Sat, 23 Dec 2006 11:24:48 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      slsc |    0.2.3-9 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 315641@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 03:39:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:30:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.